export interface CarouselStore {
    readonly currentSlide?: number;
    readonly currentVisibleSlides?: number[];
    readonly dragStep?: number;
    readonly interval?: number;
    readonly isInfinite?: boolean;
    readonly isPlaying?: boolean;
    readonly isScrolling?: boolean;
    readonly isScrollLockParent?: boolean;
    readonly isScrollLockWindow?: boolean;
    readonly orientation?: 'horizontal' | 'vertical';
    readonly playDirection?: 'right' | 'left' | 'up' | 'down';
    readonly slideSize?: number;
    readonly slidesRemainingBackward?: number;
    readonly slidesRemainingForward?: number;
    readonly slideTraySize?: number;
    readonly step?: number;
    readonly totalSlides?: number;
    readonly visibleSlides?: number;
}
export declare const CarouselStoreContext: import("react").Context<CarouselStore>;
export declare enum ActionTypes {
    FIRST_RENDER = "first::render",
    BTN_ONCLICK = "dot::onclick",
    BTN_PLAY = "buttonPlay::play",
    SCROLL_END = "scrollEnd",
    SCROLL_START = "scrollStart",
    INIT_STATIC_WIDTHS = "init::static",
    INIT_RESPONSIVE_WIDTHS = "init::responsive",
    UPDATE_SIZES = "update:sizes"
}
type ActionPayload = {
    [key: string]: any;
};
export interface ActionDispatch {
    type: ActionTypes;
    payload?: ActionPayload;
    log?: string;
}
export interface CarouselActionContextProps {
    readonly dispatch: React.Dispatch<ActionDispatch>;
}
export declare const CarouselActionContext: import("react").Context<CarouselActionContextProps>;
export {};
//# sourceMappingURL=CarouselContext.d.ts.map