import React from 'react';
export type DotGroupProps = Omit<React.ComponentPropsWithoutRef<'div'>, 'children'> & {
    dotNumbers?: boolean;
    classNameDot?: string;
    classNameDotSpan?: string;
};
/**
 * DotGroup is an opinionated React container component that wraps a bunch of Dot components.
 * If this configuration does not satisfy your needs, you can easily create your own DotGroup.
 * Developers, do not make PR's to add customizations to this component. Instead, make a new
 * type of DotGroup that suits your particular needs.  If you think it's worthy of sharing, then
 * submit your new component in a PR.
 */
declare const DotGroup: React.ForwardRefExoticComponent<Omit<Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref">, "children"> & {
    dotNumbers?: boolean;
    classNameDot?: string;
    classNameDotSpan?: string;
} & React.RefAttributes<HTMLDivElement>>;
export default DotGroup;
//# sourceMappingURL=DotGroup.d.ts.map