/**
 * Create a className string.  Pass this function strings, arrays, or multi-dimensional
 * arrays.  You can even pass in an IIFE that returns a string or array.
 *
 * Example:
 * const c = 'cool';
 * const d = 'dude';
 * cn(false, undefined, null, 'wow', ['this', 'is'], (c => c)(c), (d => [d])(d));
 *
 * Output:
 * "wow this is cool dude"
 *
 * @returns string
 */
export declare const cn: (...args: unknown[]) => string;
export declare function randomHexColor(): string;
export declare function slideUnit(visibleSlides?: number): number;
export declare function responsiveSlideSize(totalSlides: number, visibleSlides: number): number;
export declare function responsiveSlideTraySize(totalSlides: number, visibleSlides: number): number;
export declare function pct(num: number): string;
/**
 * Cap a value at a minimum value and a maximum value.
 */
export declare const boundedRange: ({ min, max, x, }: {
    min: number;
    max: number;
    x: number;
}) => number;
type AfterScrollArgs = {
    slideSize?: number;
} & ({
    orientation?: 'horizontal';
    scrollLeft?: number;
    scrollTop?: never;
} | {
    orientation?: 'vertical';
    scrollTop?: number;
    scrollLeft?: never;
});
export declare function updateSlidePosition(totalSlides?: number, visibleSlides?: number, currentSlide?: number): [number, number, number[]];
/**
 * Compute and return the current slide while scrolling (or whenever).
 * The current slide is ALWAYS the leftmost fully-visible slide in the viewport,
 * even when the carousel is right-to-left
 */
export declare function computeCurrentSlideWhileScrolling({ orientation, scrollLeft, scrollTop, slideSize, }: AfterScrollArgs): number;
/**
 * Return an array containing the index numbers of slides currently visible in
 * the viewport.
 */
export declare function computeCurrentVisibleSlides({ currentSlide, totalSlides, visibleSlides, }: {
    currentSlide?: number | undefined;
    totalSlides?: number | undefined;
    visibleSlides?: number | undefined;
}): number[];
/**
 * Compute the number of slides currently out of view to the left/top and
 * right/bottom of the viewport in a horizontal/vertical carousel.
 */
export declare const computeSlidesRemaining: ({ currentSlide, totalSlides, visibleSlides, }: {
    currentSlide?: number | undefined;
    totalSlides?: number | undefined;
    visibleSlides?: number | undefined;
}) => [number, number];
export {};
//# sourceMappingURL=index.d.ts.map